<!-- Copyright 2017 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://oobe/custom_elements.html">
<link rel="import" href="chrome://resources/cr_elements/cr_checkbox/cr_checkbox.html">
<link rel="import" href="chrome://resources/html/action_link.html">
<link rel="import" href="chrome://resources/polymer/v1_0/iron-icon/iron-icon.html">
<link rel="import" href="chrome://resources/polymer/v1_0/paper-styles/color.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">
<link rel="import" href="/components/throbber_notice.html">

<link rel="stylesheet" href="chrome://resources/css/overlay.css">

<dom-module id="arc-tos-element">
  <template>
    <style include="oobe-dialog-host"></style>
    <link rel="stylesheet" href="arc_terms_of_service.css">
    <!-- As this dialog have pre-loading logic that require access to elements,
         dialog is marked as no-lazy. -->
    <oobe-dialog id="arcTosDialog" has-buttons class="arc-tos-loading"
        role="dialog"
        aria-label$="[[i18nDynamic(locale, 'arcTermsOfServiceScreenHeading')]]"
        title-key="arcTermsOfServiceScreenHeading"
        subtitle-key="arcTermsOfServiceScreenDescription" no-lazy>
      <iron-icon src="chrome://oobe/playstore.svg" slot="oobe-icon">
      </iron-icon>
      <div id="arcTosContainer" slot="footer" class="flex layout vertical">
        <div id="arcTosViewContainer" class="arc-tos-content flex">
          <webview id="arcTosView" allowTransparency
              class="oobe-tos-webview"
              on-contentload="onTermsViewContentLoad_"></webview>
        </div>
        <div id="arcPolicyLink" class="arc-tos-content"
            on-click="onPolicyLinkClick_">
          <a class="oobe-local-link" is="action-link">
            [[i18nDynamic(locale, 'arcPolicyLink')]]
          </a>
        </div>
        <div class="parameter-section arc-tos-content"
            hidden="[[isMetricsHidden]]">
          <p>
            <span>[[i18nDynamic(locale, metricsTextKey)]]</span>
            <a id="learnMoreLinkMetrics" class="oobe-local-link"
                on-click="onMetricsLearnMoreTap_" is="action-link">
              [[i18nDynamic(locale, 'arcLearnMoreText')]]
            </a>
          </p>
        </div>
        <div id="arcTosMetricsDemoApps"
            class="parameter-section arc-tos-content"
            hidden="[[!demoMode]]">
          <p>[[i18nDynamic(locale, 'arcTextMetricsDemoApps')]]</p>
        </div>
        <div id="arcBackupService"
            class="parameter-section arc-tos-content"
            disabled="[[backupRestoreManaged]]"
            hidden="[[demoMode]]">
          <cr-checkbox id="arcEnableBackupRestore"
              class="layout start"
              checked="{{backupRestore}}"
              disabled="[[backupRestoreManaged]]">
            <p>
              <span>[[i18nDynamic(locale, 'arcTextBackupRestore')]]</span>
              <a id="learnMoreLinkBackupRestore" class="oobe-local-link"
                  on-click="onBackupRestoreLearnMoreTap_" is="action-link">
                [[i18nDynamic(locale, 'arcLearnMoreText')]]
              </a>
            </p>
          </cr-checkbox>
        </div>
        <div id="arcExtraContent" hidden="[[!showFullDialog]]">
          <div id="arcLocationService"
              class="parameter-section arc-tos-content"
              disabled="[[locationServiceManaged]]"
              hidden="[[demoMode]]">
            <cr-checkbox id="arcEnableLocationService"
                class="layout start"
                checked="{{locationService}}"
                disabled="[[locationServiceManaged]]">
              <p>
                <span>[[i18nDynamic(locale, 'arcTextLocationService')]]</span>
                <a id="learnMoreLinkLocationService" class="oobe-local-link"
                    on-click="onLocationServiceLearnMoreTap_" is="action-link">
                  [[i18nDynamic(locale, 'arcLearnMoreText')]]
                </a>
              </p>
            </cr-checkbox>
          </div>
          <div id="arcPaiService" class="parameter-section arc-tos-content">
            <p>
              <span>[[i18nDynamic(locale, 'arcTextPaiService')]]</span>
              <a id="learnMoreLinkPai" class="oobe-local-link"
                  on-click="onPaiLearnMoreTap_" is="action-link">
                [[i18nDynamic(locale, 'arcLearnMoreText')]]
              </a>
            </p>
          </div>
          <div id="arcGoogleServiceConfirmation"
               class="parameter-section arc-tos-content">
            <p>[[i18nDynamic(locale, googleServiceConfirmationTextKey)]]</p>
          </div>
          <div id="arcReviewSettings"
            class="parameter-section arc-tos-content"
            hidden="[[demoMode]]">
            <cr-checkbox id="arcReviewSettingsCheckbox"
                class="layout start"
                checked="{{reviewSettings}}">
              <p>[[i18nDynamic(locale, 'arcTextReviewSettings')]]</p>
            </cr-checkbox>
          </div>
        </div>
        <div class="arc-tos-loading flex layout center-justified vertical">
          <throbber-notice text-key="arcTermsOfServiceLoading">
          </throbber-notice>
        </div>
        <div class="arc-tos-error">
          <p>[[i18nDynamic(locale, 'arcTermsOfServiceError')]]</p>
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button id="arcTosBackButton" hidden="[[!demoMode]]"
            on-click="onBack_"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-text-button id="arcTosRetryButton"
            inverse on-click="onRetry_"
            disabled="[[arcTosButtonsDisabled]]"
            text-key="arcTermsOfServiceRetryButton"></oobe-text-button>
        <oobe-text-button id="arcTosNextButton"
            inverse on-click="onNext_"
            disabled="[[arcTosButtonsDisabled]]"
            hidden="[[showFullDialog]]"
            text-key="arcTermsOfServiceNextButton"></oobe-text-button>
        <oobe-text-button id="arcTosAcceptButton"
            inverse on-click="onAccept_"
            disabled="[[arcTosButtonsDisabled]]"
            hidden="[[!showFullDialog]]"
            text-key="[[acceptTextKey]]"></oobe-text-button>
      </div>
    </oobe-dialog>
    <oobe-modal-dialog id="arcMetricsPopup" on-close="onOverlayClosed_"
        title-key="arcLearnMoreStatisticsTitle">
      <div slot="content">
        <p>[[i18nDynamic(locale, 'arcLearnMoreStatisticsP1')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreStatisticsP2')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreStatisticsP3')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreStatisticsP4')]]</p>
      </div>
    </oobe-modal-dialog>
    <oobe-modal-dialog id="arcBackupRestorePopup" on-close="onOverlayClosed_"
        title-key="arcLearnMoreBackupAndRestoreTitle">
      <div slot="content">
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreP1')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreP2')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreP3')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreP4')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreP5')]]</p>
      </div>
    </oobe-modal-dialog>
    <oobe-modal-dialog id="arcBackupRestoreChildPopup"
        on-close="onOverlayClosed_"
        title-key="arcLearnMoreBackupAndRestoreTitle">
      <div slot="content">
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreChildP1')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreChildP2')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreBackupAndRestoreChildP3')]]</p>
      </div>
    </oobe-modal-dialog>
    <oobe-modal-dialog id="arcLocationServicePopup"
        on-close="onOverlayClosed_"
        title-key="arcLearnMoreLocationServiceTitle">
      <div slot="content">
        <p>[[i18nDynamic(locale, 'arcLearnMoreLocationServiceP1')]]</p>
        <p>[[i18nDynamic(locale, 'arcLearnMoreLocationServiceP2')]]</p>
      </div>
    </oobe-modal-dialog>
    <oobe-modal-dialog id="arcPaiPopup" on-close="onOverlayClosed_"
        title-key="arcLearnMorePaiServiceTitle">
      <div slot="content">
        <p>[[i18nDynamic(locale, 'arcLearnMorePaiService')]]</p>
      </div>
    </oobe-modal-dialog>
    <oobe-modal-dialog id="arcTosOverlayPrivacyPolicy"
        on-close="onOverlayClosed_">
      <div slot="content" id = "arcTosOverlayWebviewContainer">
        <webview id="arcTosOverlayWebview" hidden="[[overlayLoading_]]"
            on-contentload="onAcrTosOverlayContentLoad_">
        </webview>
        <throbber-notice class="flex layout center-justified vertical"
            hidden="[[!overlayLoading_]]" style="height: 100%;">
        </throbber-notice>
      </div>
    </oobe-modal-dialog>
  </template>
</dom-module>
